# swipe-plugin
swipe plugin for fullcalendar


# Custom from FullCalendar

The  swipe [React](https://reactjs.org/) Plugin for [FullCalendar](https://fullcalendar.io)

## Installation

```sh
npm i swipe-plugin-ts
```

## Usage

Render a `FullCalendar`  plugins:

```jsx
import useSwipePlugin from 'swipe-plugin-ts'

const swipePlugin = useSwipePlugin(refCalendar);

export function DemoApp() {
  return (
    <div>
      <h1>Demo App</h1>
      <FullCalendar
        plugins={[swipePlugin]}
        initialView='dayGridMonth'
        weekends={false}
        events={events}
        eventContent={renderEventContent}
      />
    </div>
  )
}
```